Subject: bug#23985: Emacs 25.0.94: FEATURE ADDITION: Texinfo environment movement commands

From: Clément Pit--Claudel <[email-masked]>
Date: Thu, 14 Jul 2016 22:15:35 +0200

On 2016-07-14 21:43, Robert Weiner wrote:
>>> >> + (defun texinfo-to-environment-bounds ()
>>> >> +   "If within a Texinfo environment with an @end, move point first to its starting line and then to its ending line.
>> >
>> > The first line of a doc string should not be wider than 67 characters,
>> > certainly not more than 78, and it should still be a complete sentence
>> > that summarizes what the function does.
>
> It is a sentence and I always make the first line of a doc string
> stand alone but often the complexity makes these first lines long.
> I then wrap further lines at 78 or less.  I will keep this advice in
> mind but will no doubt find it hard to be clear and complete with
> in such a short space.

What about ‘Move to first line of current environment, then to last.’? Does that describe the behaviour of the function accurately?

(In fact, there's even space for ‘Move to first line of current Texinfo environment, then to last.’)